Description

Completed translation for trunc ru.yml file.

Associated revisions

Revision 22377 - 2023-10-25 09:47 - Go MAEDA

Russian translation update (#38315).

Patch by Jouri Mamaev.

History

#1 - 2023-03-01 10:28 - Jouri Mamaev

Traslatio is done for revision:

https://www.redmine.org/projects/redmine/repository/revisions/22117

#2 - 2023-03-01 10:34 - Jouri Mamaev

- File ru.yml added

Jouri Mamaev wrote:

Completed translation for trunc ru.yml file.

 Sorry, forget to test translation.

Here is corrected one, which passes test in next environ:

Environment:

  Redmine version                5.0.0.stable

  Ruby version                   2.7.6-p219 (2022-04-12) [x86_64-linux]

  Rails version                  6.1.4.7

#3 - 2023-03-10 04:07 - Go MAEDA

Thank you for providing the translation.

In the new translation, you changed some existing Russian translations. Could you explain why those existing translations need to be changed? Since

I don't understand Russian, I am unsure if those changes are appropriate or not.

label_role_non_member: "Не участник" -> "Не участник проекта"

label_default_query: "Запрос по умолчанию" -> "Базовый запрос"

field_default_project_query: "Проекты по умолчанию" -> "Базовый запрос проекта"

#4 - 2023-03-10 09:55 - Jouri Mamaev

In the new translation, you changed some existing Russian translations. Could you explain why those existing translations need to be changed?

Since I don't understand Russian, I am unsure if those changes are appropriate or not.

label_role_non_member: "Не участник" -> "Не участник проекта"

label_default_query: "Запрос по умолчанию" -> "Базовый запрос"

field_default_project_query: "Проекты по умолчанию" -> "Базовый запрос проекта"

 I changed these texts by my expirience in project to more exact and less "abstract" phrases.

2024-03-20 1/2

https://www.redmine.org/projects/redmine/repository/revisions/22117


Ill try to translate it as close as possible and you decide.

1. "label_role_non_member"

was: Not a member

change: Not a project member

(just more clear)

2. label_default_query

(this one little bit tricky since english variants almost the same in meaning)

was: Query by default

change: Base query

(this text is used to label basic, default query which is set by admin for users. Second variant is more clear)

3. field_default_project_query

was: Project by default

change: Base project query

(it seems first one was machine-translated and not exactly match its meaning in use place)

#5 - 2023-03-21 06:26 - Vitaly vit9696

I contributed to the Russian translation previously and also am a native speaker. These corrections make good sense to me.

#6 - 2023-10-25 09:47 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22377. Thank you for your contribution.

Files

ru.yml 105 KB 2023-03-01 Jouri Mamaev

ru.yml 105 KB 2023-03-01 Jouri Mamaev
